Skip to main content
GET
/
v1
/
project_templates
List project templates
curl --request GET \
  --url https://api.slant.app/v1/project_templates \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.slant.app/v1/project_templates"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.slant.app/v1/project_templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "template123xyz",
      "title": "New Client Onboarding",
      "project_milestones": [
        {
          "id": "milestone123xyz",
          "title": "Initial Setup",
          "project_template_id": "template123xyz",
          "guid": "milestone-guid",
          "color": "<string>",
          "sort_order": 123,
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "project_milestone_outcomes": [
            {
              "id": "outcome123xyz",
              "label": "Ready for accounts",
              "default_comment": "<string>",
              "sort_order": 123,
              "target_project_milestone_id": "<string>"
            }
          ],
          "project_milestone_form_fields": [
            {
              "id": "field123xyz",
              "label": "Custodian",
              "required": true,
              "guid": "field-guid",
              "placeholder": "<string>",
              "sort_order": 123,
              "household_record_source": "<string>",
              "select_options": [
                "<string>"
              ]
            }
          ]
        }
      ],
      "guid": "template-guid",
      "description": "<string>",
      "enable_kanban_view": true,
      "book_id": "<string>",
      "order_index": 123,
      "book_name": "<string>",
      "book_initials": "<string>",
      "attachments": [
        {
          "file_name": "onboarding.pdf",
          "file_type": "application/pdf",
          "file_size": 123456,
          "source": "uploaded",
          "signed_id": "signed-blob-id",
          "download_url": "<string>",
          "view_url": "<string>"
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "current_page": 1,
    "total_pages": 10,
    "total_count": 100,
    "per_page": 25
  }
}
{
"error": "invalid_param",
"detail": "<string>"
}
{
"detail": "<string>"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 Bearer Token from Clerk authentication

Query Parameters

book_id
string

Filter by book ID

projectable_kind
enum<string>

Filter by related record kind

Available options:
household,
contact,
business
page
integer

Page number

per_page
integer

Items per page (1-100, default: 25). Values over 100 will be clamped to 100.

Required range: 1 <= x <= 100

Response

project templates retrieved

data
object[]
required
pagination
object
required